Subject: bug#27348: 24.5; [PATCH] let defvars benefit from defcustom keywords and persistence

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jun 2019 18:35:05 +0200

Drew Adams <[email-masked]> writes:

> The ability to type-check, provide :set and :initialize trigger
> functions, automatically :require libraries, add links to doc, associate
> with one or more :groups, etc. - these are useful things to be able to
> do with at least some defvars, not just with defcustoms.  Similarly, the
> ability to persist non-option variables in a user's custom file can be
> useful.

I think this is an interesting idea, but perhaps a bug report isn't the
right venue for it?  Did you take this up on emacs-devel?

(And here's my two pennies on the subject after considering it for about
60 seconds: I'm not sure this sort of extension of the type system is
that useful...  If we want a more expressive type system in Emacs, this
is the wrong place to start.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no